Create store
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantId: '<string>',
name: '<string>',
externalId: '<string>',
location: {
phoneNumber: '<string>',
address: {
country: '<string>',
city: '<string>',
street: '<string>',
postalCode: '<string>',
state: '<string>'
},
name: '<string>',
description: '<string>'
}
})
};
fetch('https://api.platform.getstell.com/v1/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantId": "<string>",
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/stores"
payload = {
"merchantId": "<string>",
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Stores
Create store
Creates a new store for a merchant.
POST
https://api.platform.getstell.com
/
v1
/
stores
Create store
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantId: '<string>',
name: '<string>',
externalId: '<string>',
location: {
phoneNumber: '<string>',
address: {
country: '<string>',
city: '<string>',
street: '<string>',
postalCode: '<string>',
state: '<string>'
},
name: '<string>',
description: '<string>'
}
})
};
fetch('https://api.platform.getstell.com/v1/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantId": "<string>",
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/stores"
payload = {
"merchantId": "<string>",
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Body
application/json
ID of the merchant this store belongs to
Store name
Required string length:
1 - 200External system identifier for integration
Minimum string length:
1Physical location of the store: address, coordinate and contact details.
Show child attributes
Show child attributes
⌘I